package ru.yandex.webmaster3.viewer.http.searchquery;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.core.searchquery.PathId;
import ru.yandex.webmaster3.core.searchquery.SpecialGroup;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * @author lester
 */
public class GetUrlInfoRequest extends AbstractUserVerifiedHostRequest {
    private PathId pathId;
    private SpecialGroup specialGroup;

    public PathId getPathId() {
        return pathId;
    }

    @Description("ID пути")
    @RequestQueryProperty(required = true)
    public void setPathId(PathId pathId) {
        this.pathId = pathId;
    }

    public SpecialGroup getSpecialGroup() {
        return specialGroup;
    }

    @RequestQueryProperty(required = true)
    public void setSpecialGroup(SpecialGroup specialGroup) {
        this.specialGroup = specialGroup;
    }
}
